- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionFocusRect Class Reference

Search for all occurrences

## Detailed Description

Definition at line 103 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionFocusRect:
[legend]

List of all members.

## Public Types
enum | StyleOptionType { Type = SO_FocusRect }
enum | StyleOptionVersion { Version = 1 }
## Public Member Functions
| QStyleOptionFocusRect ()
| QStyleOptionFocusRect (const QStyleOptionFocusRect &other)
## Public Attributes
QColor | backgroundColor
## Protected Member Functions
| QStyleOptionFocusRect (int version)

## Member Enumeration Documentation

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented from QStyleOption.

Definition at line 106 of file qstyleoption.h.

    { Type = SO_FocusRect };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOption.

Definition at line 107 of file qstyleoption.h.

    { Version = 1 };

## Constructor & Destructor Documentation

QStyleOptionFocusRect | ( |  | ) |

QStyleOptionFocusRect | ( | const QStyleOptionFocusRect & | other | ) | `[inline]`

Definition at line 112 of file qstyleoption.h.

    : QStyleOption(Version, Type) { *this = other; }

QStyleOptionFocusRect | ( | int | version | ) | `[protected]`

## Member Data Documentation

QColor backgroundColor

Search for all occurrences

Definition at line 109 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionFocusRect QStyleOptionFocusRect QStyleOptionFocusRect QStyleOptionFocusRect QStyleOptionFocusRect QStyleOptionFocusRect QStyleOptionFocusRect QStyleOptionFocusRect QStyleOptionFocusRect QStyleOptionFocusRect
QStyleOptionFocusRect QStyleOptionFocusRect QStyleOptionFocusRect QStyleOptionFocusRect QStyleOptionFocusRect QStyleOptionFocusRect QStyleOptionFocusRect QStyleOptionFocusRect QStyleOptionFocusRect QStyleOptionFocusRect